Subject: Re: B19: [HELP] Can I link cygwinb19.dll statically?
From: [email-masked] (Geoffrey Noer)

9 Sep 1998 22:23:36 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Adam Stoller <[email-masked]>
Cc: [email-masked]

On Wed, Sep 02, 1998 at 02:04:36PM -0400, Adam Stoller wrote:
>
> In testing, we tried to run the tools on machines (winnt and win95) in
> which the Cygnus distribution had NOT been installed.
> This led to error messages about missing CYGWINB19.DLL

Right, makes sense since you didn't also include the runtime DLL.

> I've tried linking with -static and/or -Bstatic - but have not managed
> to find anyway to get the cygwinb19.dll to instead be treated as a
> non-dynamic [i.e. static] library.
> 
> (a) Is this possible to do?
> (b) How?

Well, most things are possible if you have the right knowledge/try
hard enough.  :-)  That said, it certainly isn't set up to be possible
and I've never done it or heard of anyone doing it.

> (c) What kind of copy{right,left} problems would we be running into if
> we shipped the dll with the tools (the easy but least liked solution)

The same issues as if you were able to statically link the code into
your DLL.  Namely, your code would have to be GPL'd.  So you'd have to
be willing to ship sources for your application and Cygwin32 on
demand.

Cygnus sells a commercial license that doesn't require shipping
sources for either the application linked against it or the DLL.  This
comes with support contracts for the native Win32 compiler.  You
may want to contact [email-masked] about this option if you're
interested.

Alternatively, if you aren't trying to port Unix code to Win32, try
the Mingw32 configuration.  (See the Cygwin32 web site for details).
That way, you could avoid the GPL issue but that'll only work if your
app is a native Windows application...

> Thanks in advance for any and all assistance provided.  Other than this,
> the Cygnus distribution has saved me countless of hours!!

You're most welcome!

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".